@import url("https://cdn.rawgit.com/mfd/09b70eb47474836f25a21660282ce0fd/raw/e06a670afcb2b861ed2ac4a1ef752d062ef6b46b/Gilroy.css");
@import url('https://fonts.googleapis.com/css2?family=Montserrat:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');
@import url('./option.scss');

* {
    font-family: Montserrat;
    font-style: normal;
    font-weight: bold;
    line-height: 100%;
    padding-top: 5px;
    padding-bottom: 5px;
}

body {
    background-color: #1E2535;
    .btn-primary {
        display: flex;
        justify-content: center;
        align-items: center;
        width: 170px;
        height: 36px;
        border: none;
        background: #83F6B1;
        border-radius: 5555px;
        box-shadow: 0 0 10px -5px #83F6B1;
    }

    .to-center {
        display: flex;
        justify-content: center;
    }

    .container-modal {
        position: fixed;
        left: 0;
        right: 0;
        top: 0;
        bottom: 0;
        overflow: auto;
        display: flex;
        justify-content: center;
        align-items: center;
        overflow: auto; 
        padding: 20px;
    }

    .modal-shadow {
        position: absolute;
        left: 0;
        right: 0;
        top: 0;
        bottom: 0;
    }
    .modal-inner {
        background: linear-gradient(177.76deg, #2E354B 0%, #30374C 100%);
        box-shadow: 25px 25px 50px rgba(24, 28, 38, 0.5);
        border-radius: 10px;
        padding: 55px;
        min-width: 320px;

        .modal-closer {
            position: absolute;
            right: 22px;
            top: 22px;
        }

        .badge-trigger {
            font-family: Gilroy;
            font-style: normal;
            font-weight: bold;
            font-size: 16px;
            line-height: 100%;
            position: absolute;
            top: 0;
            left: calc(50% - 32px);
            background: #83F6B1;
            border-radius: 0px 0px 5px 5px;
            padding: 9px 10px;
        }

        .top-modal {
            .timer {
                display: flex;
                justify-content: center;

                .icon-timer {
                    padding-right: 7px;
                }

                .contimer {
                    font-family: Gilroy;
                    font-style: normal;
                    font-weight: normal;
                    font-size: 22px;
                    line-height: 100%;
                    color: #83F6B1;
                }
            }

            .headline {
                justify-content: center;
                align-items: center;
                font-family: Gilroy;
                font-style: normal;
                font-weight: bold;
                font-size: 36px;
                line-height: 100%;
                color: #EEEEEE;
            }
        }
        .middle-modal {
            .mui-select {
                position: relative;

                svg {
                    position: absolute;
                }

                select, option {
                    background: #3C4561;
                    border: 5px;
                    border-radius: 5px;
                    width: 392px;
                    height: 40px;
                    font-family: Gilroy;
                    font-style: normal;
                    font-weight: bold;
                    font-size: 16px;
                    line-height: 100%;
                    text-align: center;
                    color: #EEEEEE;
                    outline-color: #3C4561
                }
            }

            .mui-select__menu {
                background: #3C4561;
                border: 5px;
                border-radius: 5px;
                width: 392px;
                height: 40px;
                font-family: Gilroy;
                font-style: normal;
                font-weight: bold;
                font-size: 16px;
                line-height: 100%;
                text-align: center;
                color: #EEEEEE;
                outline-color: #3C4561
            }
        }
        .box {
            .main-cash-box {
                display: flex;
                align-items: center;
                justify-content: center;

                .cash-box {
                    width: 164px;
                    height: 186px;
                    border: 2px solid #83F6B1;
                    border-radius: 5px;
                    margin-right: 10px;
                    margin-left: 10px;
                    display: flex;
                    flex-direction: column;

                    .pay {
                        font-family: Gilroy;
                        font-style: normal;
                        font-weight: bold;
                        font-size: 14px;
                        line-height: 100%;
                        text-align: center;
                        color: #EEEEEE;
                    }

                    .cash-pay {
                        font-family: Gilroy;
                        font-style: normal;
                        font-weight: normal;
                        font-size: 22px;
                        line-height: 100%;
                        text-align: center;
                        color: #EEEEEE;
                    }

                    .get {
                        font-family: Gilroy;
                        font-style: normal;
                        font-weight: bold;
                        font-size: 14px;
                        line-height: 100%;
                        text-align: center;
                        color: #83F6B1;
                    }

                    .cash-get {
                        font-family: Gilroy;
                        font-style: normal;
                        font-weight: normal;
                        font-size: 22px;
                        line-height: 100%;
                        text-align: center;
                        color: #83F6B1;
                    }
                }
            }
        }
        .bottom-modal {
            justify-content: center;
            align-items: center;

            .text {
                font-family: Gilroy;
                font-style: normal;
                font-weight: bold;
                font-size: 16px;
                line-height: 100%;
                color: #EEEEEE;

                .contnum {
                    color:  #83F6B1;
                    .sub {
                        font-size: 13px;
                        padding-right: 7px;
                    }
                }
            }
            .contadd {
                font-family: Montserrat;
                font-style: normal;
                font-weight: bold;
                font-size: 14px;
                line-height: 100%;
                color: #282A3B;
            }
            .bottom-text {
                .description {
                    font-family: Gilroy;
                    font-style: normal;
                    font-weight: 500;
                    font-size: 14px;
                    line-height: 100%;
                    text-align: center;
                    color: #91ACD4;
                }
            }
            .about {
                .about-text {
                    font-family: Gilroy;
                    font-style: normal;
                    font-weight: bold;
                    font-size: 14px;
                    line-height: 100%;
                    text-transform: uppercase;
                    color: #91ACD4;
                    border-bottom: 2px dotted #91ACD4;
                }
            }
        }
    }
}